https://api.knoxapi.comUpdate a bank account
POST/v1/external_accounts/{id}
Updates the metadata, account holder name, account holder type of a bank account belonging to a connected account and optionally sets it as the default for its currency. Other bank account details are not editable by design. You can only update bank accounts when account.controller.requirement_collection is application, which includes Custom accounts. You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.
Path parameters
idstringRequired
Body parameters
account_holder_namestringThe name of the person or business that owns the bank account.
account_holder_typestringThe type of entity that holds the account. This can be either
individualorcompany.Possible valuescompanyindividual
account_typestringThe bank account type. This can only be
checkingorsavingsin most countries. In Japan, this can only befutsuortoza.Possible valuescheckingfutsusavingstoza
address_citystringCity/District/Suburb/Town/Village.
address_countrystringBilling address country, if provided when creating card.
address_line1stringAddress line 1 (Street address/PO Box/Company name).
address_line2stringAddress line 2 (Apartment/Suite/Unit/Building).
address_statestringState/County/Province/Region.
address_zipstringZIP or postal code.
default_for_currencybooleanWhen set to true, this becomes the default external account for its currency.
documentsobjectDocuments that may be submitted to satisfy various informational requests.
Show 1 child parameter
bank_account_ownership_verificationobjectShow 1 child parameter
filesarray of strings
exp_monthstringTwo digit number representing the card’s expiration month.
exp_yearstringFour digit number representing the card’s expiration year.
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.namestringCardholder name.
Returns
The external_account object.
curl https://api.knoxapi.com/v1/external_accounts/ba_1PgagAB7WZ01zgkWr3DySp2Q \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d "metadata[order_id]=6735"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/external_accounts/ba_1PgagAB7WZ01zgkWr3DySp2Q', {
metadata: {
order_id: '6735',
},
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/external_accounts/ba_1PgagAB7WZ01zgkWr3DySp2Q", metadata={
"order_id": "6735",
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/external_accounts/ba_1PgagAB7WZ01zgkWr3DySp2Q', {
metadata: {
order_id: '6735',
},
}){
"account_holder_name": "Jane Austen",
"account_holder_type": "company",
"account_type": null,
"bank_name": "STRIPE TEST BANK",
"country": "US",
"currency": "usd",
"customer": null,
"fingerprint": "AuoSJ18zsVWV9SPc",
"id": "ba_1PgagAB7WZ01zgkWr3DySp2Q",
"last4": "6789",
"metadata": {},
"object": "bank_account",
"routing_number": "110000000",
"status": "new"
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.